Can't build from svn, Ubuntu 12.04 beta 2

Use this category to discuss anything related to the development of Guayadeque.
kinggo
Posts: 242
Joined: Thu Feb 09, 2012 5:54 am

Can't build from svn, Ubuntu 12.04 beta 2

Post by kinggo » Fri Mar 30, 2012 11:45 am

I tried a couple of times, even on clean install but every time I get message that I'm missing some libindicate

In file included from /home/mario/guayadeque/src/AlListBox.cpp:28:0:
/home/mario/guayadeque/src/MainFrame.h:73:32: fatal error: libindicate/server.h: No such file or directory
compilation terminated.
make[2]: *** [src/CMakeFiles/guayadeque.dir/AlListBox.o] Error 1
make[1]: *** [src/CMakeFiles/guayadeque.dir/all] Error 2
make: *** [all] Error 2

But I have some libindicate packages installed, but don't know which one is missing.

User avatar
anonbeat
Posts: 1956
Joined: Thu Sep 16, 2010 9:47 pm

Can't build from svn, Ubuntu 12.04 beta 2

Post by anonbeat » Fri Mar 30, 2012 12:03 pm

Try installing libindicate-dev package

bmbaker
Posts: 72
Joined: Tue Oct 19, 2010 3:12 am

Can't build from svn, Ubuntu 12.04 beta 2

Post by bmbaker » Fri Mar 30, 2012 12:39 pm

i have the same problem too !
and i have libindicate-dev installed already :-(


bb@Dream-On-Test:~/guayadeque$ ./buildd
-- The C compiler identification is GNU
-- The CXX compiler identification is GNU
-- Check for working C compiler: /usr/bin/gcc
-- Check for working C compiler: /usr/bin/gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Using install prefix /usr ...
-- Found wxWidgets: TRUE
-- checking for module 'gstreamer-0.10'
-- found gstreamer-0.10, version 0.10.36
-- checking for module 'sqlite3'
-- found sqlite3, version 3.7.9
-- checking for module 'libcurl'
-- found libcurl, version 7.22.0
-- checking for module 'taglib>=1.6.1'
-- found taglib, version 1.7.0
-- checking for module 'dbus-1'
-- found dbus-1, version 1.4.18
-- checking for module 'flac'
-- found flac, version 1.2.1
-- checking for module 'gio-2.0'
-- found gio-2.0, version 2.32.0
-- checking for module 'libgpod-1.0'
-- found libgpod-1.0, version 0.8.2
-- checking for module 'indicate-0.7'
-- found indicate-0.7, version 0.6.92
-- checking for module 'indicate-0.6'
-- package 'indicate-0.6' not found
-- checking for module 'indicate'
-- package 'indicate' not found
libindicate library not found! No sound menu support!!
-- checking for module 'appindicator-0.1'
-- package 'appindicator-0.1' not found
-- Found Subversion: /usr/bin/svn (found version "1.6.17")
Current revision is 1810
Adding debug symbols.
-- Found Gettext: /usr/bin/msgmerge
-- Configuring done
-- Generating done
-- Build files have been written to: /home/bb/guayadeque
[ 0%] Building CXX object src/CMakeFiles/guayadeque.dir/AlListBox.o
In file included from /home/bb/guayadeque/src/AlListBox.cpp:28:0:
/home/bb/guayadeque/src/MainFrame.h:73:32: fatal error: libindicate/server.h: No such file or directory
compilation terminated.
make[2]: *** [src/CMakeFiles/guayadeque.dir/AlListBox.o] Error 1
make[1]: *** [src/CMakeFiles/guayadeque.dir/all] Error 2
make: *** [all] Error 2

kinggo
Posts: 242
Joined: Thu Feb 09, 2012 5:54 am

Can't build from svn, Ubuntu 12.04 beta 2

Post by kinggo » Fri Mar 30, 2012 1:09 pm

it's not dev, not 5 not gtk3. I have all of them. Also, tried with qt one, doesn't help.

User avatar
anonbeat
Posts: 1956
Joined: Thu Sep 16, 2010 9:47 pm

Can't build from svn, Ubuntu 12.04 beta 2

Post by anonbeat » Fri Mar 30, 2012 1:26 pm

I will try to check is asap but my time is very limited latelly

bmbaker
Posts: 72
Joined: Tue Oct 19, 2010 3:12 am

Can't build from svn, Ubuntu 12.04 beta 2

Post by bmbaker » Fri Mar 30, 2012 11:54 pm

i fixed it by editing the CMakeLists.txt and replacing indicate-0.6 with indicate-0.7 saving and re-running ./buildd :-) everything compiled just fine :-)

kinggo
Posts: 242
Joined: Thu Feb 09, 2012 5:54 am

Can't build from svn, Ubuntu 12.04 beta 2

Post by kinggo » Sat Mar 31, 2012 7:14 am

well, that did the trick. But those errors are still there. I wonder if everything will work as expected.

User avatar
anonbeat
Posts: 1956
Joined: Thu Sep 16, 2010 9:47 pm

Can't build from svn, Ubuntu 12.04 beta 2

Post by anonbeat » Sun Apr 01, 2012 12:30 am

Please try with svn revision 1811

Hreinsi
Posts: 92
Joined: Mon Oct 25, 2010 10:33 am

Can't build from svn, Ubuntu 12.04 beta 2

Post by Hreinsi » Sun Apr 01, 2012 5:16 am

svn revision 1812 :) build is ok

kinggo
Posts: 242
Joined: Thu Feb 09, 2012 5:54 am

Can't build from svn, Ubuntu 12.04 beta 2

Post by kinggo » Sun Apr 01, 2012 6:06 am

It's fine now. THX

Post Reply